#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.3
visibility:           public
id:                   persistent-test-2.13.1.3-8BBVRJ2Wey6I63RupHSkJ0
key:                  persistent-test-2.13.1.3-8BBVRJ2Wey6I63RupHSkJ0
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  1252818f7e98744a8d0724d9292a5f05
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest TypeLitFieldDefsTest
    UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.3-8BBVRJ2Wey6I63RupHSkJ0
depends:
    HUnit-1.6.2.0-8V4cpd2vyM7I9OG8MrEdHy
    QuickCheck-2.14.3-KglZRIILqj13C4GmkOAzbm
    aeson-2.1.2.1-DTIp7ffJsC9lgN2UYC5np base-4.16.4.0
    blaze-html-0.9.2.0-CCgdh3qd51CDQyqrZMTRPi bytestring-0.11.4.0
    conduit-1.3.6-6eJYUGpxpVyAhYCBQVjDcp containers-0.6.5.1
    exceptions-0.10.4 hspec-2.10.9-LE889lmPBz43CgozpzTILk
    hspec-expectations-0.8.3-1zJ9Bt2UKIO1izJ8suxZW5
    http-api-data-0.5.1-7noah7wrP8NApVfanThYhD
    monad-control-1.0.3.1-4oe1GZGE3LzIKnWqU3gpY7
    monad-logger-0.3.41-3DFBX5zRlRl431JjOy6TtP mtl-2.2.2
    path-pieces-0.2.1-E15XfVOwfTfIr2VliI4YGA
    persistent-2.14.5.1-3BGgYQ8C0Jm7MPKnu5lR4
    quickcheck-instances-0.3.30-DTunJPhWHHx1NVShCYeRvE
    random-1.2.1.2-9cGKz2N6Xs0EPg4VyoTasz
    resourcet-1.2.6-JwKIfeBAfpHJlahbpZwKK text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 transformers-base-0.4.6-BZzegQGIwCA3PAoQz6BTc6
    unliftio-0.2.25.0-FrottZoyY3vFH81Ih9BKGd
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-Fh9bn7OEhnqCMuFBZWj2ah

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

